Set the primary contact
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Path Parameters
id*string
The counterparty id.
contactId*string
The contact id.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/counterparties/string/contacts/string/primary"{
"contact": {
"id": "string",
"counterpartyId": "string",
"name": "string",
"email": "string",
"isPrimary": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}